﻿.duo-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 1rem;
}

.info-card {
    background-color: #F4C127;
    padding: 16px;
    margin-top: 16px;
    margin-bottom: 16px;
    border-radius: 4px;
}

.flex-list {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: var(--flex-gap);
}

.flex-content {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: var(--flex-gap);
}

.flex-rows {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: var(--flex-gap);
}

.person-header {
  margin-bottom: 1.25rem;
}

.data-entry .cell1,
.data-entry .cell2,
.data-entry .cell2-wide,
.data-entry .cell3,
.data-entry .cell4,
.data-entry .cell5,
.data-entry .cell6 {
  float: left;
  width: 33%;
}

.data-entry .cell1 {
  font-weight: bold;
  color: #505249;
  width: 21%;
}

.data-entry .cell2-wide {
    width: 53%;
}

.data-entry .cell3,
.data-entry .cell5 {
  width: 10%;
}

.data-entry .cell4,
.data-entry .cell6 {
  width: 10%;
}

.disabled-cell {
  color: grey;
}

.data-entry {
    margin: 0;
    padding-top: 0.8125rem;
    padding-bottom: 0.8125rem;
    border-top: 0.0625rem solid #a4b27f;
}

.data-entry.no-border {
    border: none;
}

.data-entry.compact {
    margin-top: -1.5rem;
}

.no-select {
    -webkit-user-select: none;
    user-select: none;
}

.details-switch summary {
    list-style: none;
    cursor: pointer;
    border-bottom: 1px dotted #999;
    padding-bottom: 0.2em;
    text-decoration: none;
    display: inline;
}

.details-switch summary::marker,
.details-switch summary::-webkit-details-marker {
        display: none;
}

.details-switch .view-collapsed,
.details-switch[open] .view-expanded {
    display: inline;
}

.details-switch .view-expanded,
.details-switch[open] .view-collapsed {
    display: none;
}
